Bug 1128856 - [RFE] HAProxy solution for External LB Architecture
Summary: [RFE] HAProxy solution for External LB Architecture
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Mike Barrett
QA Contact:
URL:
Whiteboard:
Depends On: 1128851 1128857
Blocks: 1128853 1128854
TreeView+ depends on / blocked
 
Reported: 2014-08-11 16:06 UTC by Eric Rich
Modified: 2018-12-06 17:43 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1128851
Environment:
Last Closed: 2016-01-27 19:19:57 UTC


Attachments (Terms of Use)

Description Eric Rich 2014-08-11 16:06:49 UTC
+++ This bug was initially created as a clone of Bug #1128851 +++

Description of problem:

Currently the External Load Balancer Architecture is plug-able and allows you to choose a load balancer of your choice. 

However Red Hat makes not recommendation / does not provide examples with any of its existing load balancing solutions. 

Additional info:

An example using HAProxy should be provided to show customers what a listener / LB solution looks like. 

https://access.redhat.com/solutions/32303

Comment 16 Eric Rich 2014-09-09 19:40:14 UTC
I think this is blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1081727 or https://access.redhat.com/solutions/1136963 as HAProxy does not support SSL currently.

Comment 17 Luke Meyer 2014-09-29 19:21:33 UTC
HAproxy 1.5 does support SSL. Upstream has released 1.5.4. RH probably ships it somewhere aside from our "haproxy15side" package (not approved for the purpose).

Comment 18 Jason DeTiberus 2014-09-29 20:22:11 UTC
Addressing Luke's comment, it is shipped with RHEL 7.


Note You need to log in before you can comment on or make changes to this bug.